Get a group of line items by ID
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-readimport requests
url = "https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-read"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"ids": [
9845651,
9867373
]
},
{
"versions": [
{
"name": "hs_product_id",
"value": "1645342",
"sourceVid": []
}
],
"value": "1645342",
"timestamp": 0,
"source": null,
"sourceId": null
},
{
"versions": [
{
"name": "hs_product_id",
"value": "1645187",
"sourceVid": []
}
],
"value": "1645187",
"timestamp": 0,
"source": null,
"sourceId": null
},
{
"ids": [
9845651,
9867373
]
},
{
"versions": [
{
"name": "quantity",
"value": "25",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "25",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "price",
"value": "27.50",
"timestamp": 1525299376761,
"source": "API",
"sourceVid": []
}
],
"value": "27.50",
"timestamp": 1525299376761,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "name",
"value": "A custom name for the product for this line item.",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "A custom name for the product for this line item.",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "hs_product_id",
"value": "1645342",
"sourceVid": []
}
],
"value": "1645342",
"timestamp": 0,
"source": null,
"sourceId": null
},
{
"versions": [
{
"name": "quantity",
"value": "25",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "25",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "price",
"value": "9.00",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "9.00",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "name",
"value": "Widgets, special discount price",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "Widgets, special discount price",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "hs_product_id",
"value": "1645187",
"sourceVid": []
}
],
"value": "1645187",
"timestamp": 0,
"source": null,
"sourceId": null
}
]v1
Get a group of line items by ID
Create a group of line items. Up to 100 line items can be created in a single request. This would allow you to create all of the line items for an entire order (or multiple orders) in a single request. The request body will be an array, with each entry being a list of properties you want to set for each new line item. Please see the example for more details. You must set the hs_product_id property when creating a line item. This property needs to be the objectId of a product object, and represents the product being sold.
POST
/
crm-objects
/
v1
/
objects
/
line_items
/
batch-read
Get a group of line items by ID
Scope requirements
Scope requirements
レスポンス
200 - application/json
Successful response - Create a group of line items
The response is of type object.
最終更新日 2026年4月10日
⌘I